# Service Type definitions

In the context of Helmholtz Cloud, there are different service types with distinct characterists:

![Alt-Text](../../0_Corresponding-files/HIFIS-Cloud-SP_Service-Types.png)

Helmholtz Cloud Services include Fully Integrated services, Pilot services and Helmholtz Cloud core services:

| Fully Integrated service | Pilot service | Helmholtz Cloud core services |
| ------ | ------ | ------ |
| - fulfills (and continues to fulfill) all exclusion criteria defined in this Process Framework | - fulfills (and continues to fulfill) the defined set of exclusion criteria for pilot services | - is required for the operation of Helmholtz Cloud (e.g. Helmholtz Cloud Portal, Unity, Zammad, Plony) |
| - mature enough to be provided in Helmholtz Cloud | - is not yet mature enough in regards of organisational and/or technical frame conditions to be provided as Fully Integrated service in Helmholtz Cloud | - provide a functionality required for Helmholtz Cloud operation uniquely, meaning there are not numerous services providing the same functionality |
| - technical (e.g. backup, support structures, architecture) and organisational (e.g. data protection concerns) frame conditions of service provision are well established, including the ability to give the corresponding information | - used in order to gain experience in offering the service while observing the potential benefits of a service (and for which user group it might be interesting) | - may separately be offered as Fully Integrated services to end users |
| - may derive from a Pilot service | - slim Onboarding process (with less exclusion criteria), offering service to a limited bunch of users and for a limited time | / |
| - is reviewed regularly as part of Service Portfolio Reviews | - long-term target: fulfill the requirements to become a Fully Integrated service | / |
| / | - limited in provision to one year | / |
| / | - Service providers will be continuously supported to refine their service towards a Fully Integrated service and will at least be notified about the remaining time after 6 and 9 months of pilot service provision | / |
| / | - if not able (and will not be able in foreseeable future) to fulfill the requirements (from service provider side) to become a fully integrated service, it may be degraded from pilot to associated service | / |

Besides Helmholtz Cloud Services, there are Associated services: <br>
- **Associated services**: A service that uses Helmholtz AAI but is not connected to any other parts of Helmholtz Cloud. Processes and criteria defined in the Process Framework for Helmholtz Cloud Service Portfolio are not applied to Associated services. Nevertheless, an Associated service is subject to requirements, especially named in the Helmholtz AAI policy. If an Associated service does not fulfill these requirements anymore, it will be disconnected from Helmholtz AAI.

You find a list of all Associated services [here](https://login.helmholtz.de/unitygw/hifis/files/connected-services.html).
