# Service Recruiting Process

The Service Recruiting process enables users or user groups (=Requester) to announce their need for a service which is not yet offered in Helmholtz Cloud. Additionally, the proactive part of this process allows HIFIS to fetch service ideas from scientific user groups as well as from colleagues working closely together with them.  Therefore, the primary goal of this process is to get an idea of which services are required from user side in order to find possible service providers for such a service. A secondary goal is to collect such needed services in a structured way, with a comparable level of information for each request. The Service Recruiting process helps HIFIS to better understand the user's needs for services and in consequence to increase the quality of the Service Portfolio.

The roles involved in the Service Recruiting process are: the Requester (from or across Helmholtz Centre(s)), the Service Portfolio Manager (HIFIS) and the HIFIS coordinator (HIFIS). The process is divided into the two parts "Demand Management" (marked with green background in process visualization, process steps marked with 1. and 2.) and "From Service idea to Service offer" (marked with blue background in process visualization, process steps marked with 1.+2.).

The trigger for the Service Recruiting process are:<br>
- the need from the Requester for a service which is not yet offered in Helmholtz Cloud (1.) or
- the proactive seeking for service ideas from HIFIS side (2.).

When triggered by a Requester (1.) , the first step in the process is announcing their interest via mail to support@hifis.net. The Requester is asked to provide some basic information and a general use case for the service required in Helmholtz Cloud to HIFIS. Additionally, the Requester needs to ensure that data handled within the potential service is allowed from the Requester's centre side to be handled in Helmholtz Cloud. The mail to support@hifis.net will generate a ticket in Zammad, thus enabling the Service Portfolio Manager to coordinate possibly required clarification of the demand/ use case behind the demand. The Service Portfolio Manager will ask the colleagues from Service Integration and Architecture Management whether there are technical points and the colleagues from Cluster and Platform Management whether there are organizational points to be clarified.

As soon as requirements are clarified, the Service Portfolio Manager will check whether demand for a similar service has already been announced in the past. If there is already similar demand documented, the Service Portfolio Manager will inform the Requester about existing demand, check the status quo of the corresponding service idea (e.g. if a service provider has already been found/not) and establish a connection between the two Requesters (so they can e.g. work out requirements together). In this case, the Service Recruiting process ends here. If no similar demand was yet requested, the Service Portfolio Manager roughly checks whether the requested service will fulfill exclusion criteria described in [the Onboarding process description](3.4.2_Onboarding-Process-for-new-Services.md). Please note that there is only a quite rough check possible at this point of the process. Anyway, it is important to inform the Requester this early in the process if there are concerns on exclusion criteria fulfillment. It is then left to the Requester whether they want to proceed with the Service Recruiting Process. At the end of process path (1.) a service idea describing the requested service is added to the Service Recruiting Mattermost Board by the Service Portfolio Manager.

When the Service Recruiting process is triggered proactively by HIFIS (2), there are four different sources where service ideas may emerge from:
- Talks with scientific user groups to fetch their service ideas
    - In this way, we receive direct feedback from scientists on which services are required most in Helmholtz Cloud. Furthermore, there are already a lot of useful services for scientists available in centres, but they are often only used locally – which is great potential for HIFIS to provide these useful services to a broader scientific community.
- Input from strategic initiatives e.g. from Head Office
    - Strategic initiatives e.g. led by Helmholtz Head Office can give HIFIS useful insights on which services could be offered in Helmholtz Cloud to support these strategic initiatives and form a sustainable Service Portfolio
- Broader service idea seeking e.g. surveys
    - We conduct e.g. short surveys in Cloud Portal/Plony/centre’s intranet to get direct user feedback on which services are desired and to seek the corresponding use cases
- Balancing the Service Portfolio
    - In sense of Service Portfolio Management, it is important to continuously review the services in Portfolio and strive to close service gaps to ensure a balanced and integer Service Portfolio

All input gained from proactive idea seeking (2.) need to be phrased as service ideas that are then added to the Service Recruiting Mattermost Board by the Service Portfolio Manager.

The service ideas collected in the Service Recruiting Mattermost Board (gained from process paths (1.) and (2.)) should be prioritized in some way – may be via “Surveys” on HIFIS website, announcements in regularly meeting Helmholtz working groups etc. This gives potential service providers the chance to see which service is required most and therefore for which service they may want to become service provider. Anyway, the prioritization functionality is not yet established - the tools for prioritization still need to be figured out. 

In order to keep potential service providers informed about service ideas, the Service Recruiting Mattermost Board is regularly presented to the KoDa by the HIFIS Manager. Consequently, potential service providers are triggered to consider provision of mostly wanted service ideas.

However, as soon as a service provider for a service is found, the [Service Onboarding process](3.4.2_Onboarding-Process-for-new-Services.md) can be initiated.

For the whole [process visualization](../../0_Corresponding-files/HIFIS-Cloud-SP_Service-Recruiting-Process_v5.pdf) and [step-by-step explanation](../../0_Corresponding-files/HIFIS-Cloud-SP_Explanation-of-each-process-step-of-Service-Recruiting-Process_v5.pdf) please check the corresponding files.
