# The Follow up Onboarding process

The Follow up Onboarding process describes which steps are required to actually enable an using centre. It is the "bridge" between the service being integrated in Helmholtz Cloud Portal and the service operation with centre's using the service.

Therefore, the primary goal of this process is to fulfill all steps required to enable a using centre to actually use a service available in Helmholtz Cloud.

The roles involved in the Follow up Onboarding process are: the service provider (Helmholtz Centre), the using centre (Helmholtz Centre), the user (Helmholtz Centre), the Cloud Portal Manager (HIFIS), the Service Portfolio Manager (HIFIS) and the Cloud Platform Manager (HIFIS).

The triggers for Follow up Onboarding are:

- Centre announces interest in using a service
- Platform/ Project (consisting of multiple centres) announces interest in using a service

Announcing their interest will probably be conducted via support@hifis.net or via Helmholtz Cloud Portal. The first process step that needs to be taken by both service provider and using centre is to perform required data protection activities. This means to check which documents need to be exchanged/created/signed (e.g. using policy regarding data protection). This requirement is only a placeholder until we know the details about what needs to be done regarding data protection.

The next step is to decide on service provider side whether an individual Resource Usage Agreement (RUA) should be negotiated with the using centre. This might be necessary if duties to cooperate (e.g. buy licenses, provide hardware) should be defined for each using centre. If RUAs should be negotiated, these need to be worked out in cooperation between service provider and using centre. The Service Portfolio Manager will support negotiations if required by e.g. sharing experiences made in other negotiations/ best practice RUAs already existing in HIFIS context. The results of the negotiations are documented in a formal RUA (in written form). The Cloud Platform Manager needs to be informed as soon as RUA is fixed. The RUA will then be checked for disallowed agreements - service provider and using centre might then be asked to adapt the RUA if there are any disallowed agreements in it. If everything is fine, the Cloud Platform Manager stores the RUA in the Contract Database (Plony). The storage of the RUA includes entering metadata in Plony which automatically trigger the enablement of the using centre's VO in Helmholtz Cloud Portal.

If defined in the RUA, the using centre needs to take the action to fulfill the duties to cooperate (e.g. buy licenses, order + set up hardware). As soon as duties to cooperate are fulfilled, the using centre should inform the service provider. The fulfilled duties are documented in an acceptance protocol which is signed by both using centre and service provider.

What follows then is the technical authorisation of the using center to access the service in terms of Virtual Organization (VO) enablement by the service provider (if no RUA is negotiated, this is where the process goes on). For the definition of VO please check chapter "1.1 Definitions" of the [Top Level Infrastructure Policy](https://hifis.net/doc/helmholtz-aai/policies/helmholtz-aai/00_HIFIS-Top-Level-Policy.pdf). This step includes possible preparation work required on the service provider side. 

As soon as both the VO is enabled from service provider side and the VO enablement in Cloud Portal has been successfully triggered by Plony, the Cloud Portal Manager can give the “Ready for testing” information to service provider and using centre. The using centre is then asked to test the service access before informing all of their users about the service. If tests are not successful, the process routes back to the VO enablement done by the service provider. If the tests are successful, the results are documented in an acceptance protocol and the using centre can now inform it’s users about the new service being available for use.

When a user from the using centre then clicks on "Use service" in Helmholtz Cloud Portal, they may need to perform service enablement activities described in Helmholtz Cloud Portal. Anyway, the user can then start using the service. If defined limits (e.g. storage capacity, maximum number of users) are about to be reached, the Cloud Portal Manager will inform service provider and using centre. Service provider and using centre may then re-negotiate usage conditions (if more capacity is required).

For the whole [process visualization](../../0_Corresponding-files/HIFIS-Cloud-SP_Follow-up-Onboarding-process_v8.pdf) and [step-by-step explanation](../../0_Corresponding-files/HIFIS-Cloud-SP_Explanation-of-each-process-step-of-Follow-up-Onboarding-process_v8.pdf) please check the corresponding files.
